function addMarkers() {
  d3.csv('data.csv').then(function (data) {
    data.forEach(function (d) {
      const lat = +d.latitude;
      const lng = +d.longitude;

      const marker = new mappls.Marker({
        map: map,
        position: [lat, lng],
      });
    });

    // Add OpenStreetMap layer
    const osmLayer = new mappls.TileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
      attribution: 'Map data © <a href="https://www.openstreetmap.org/">OpenStreetMap</a> contributors',
      maxZoom: 19,
    });
    map.addLayer(osmLayer);
  });
}